MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025524Community[OCCT] OCCT:Application Frameworkpublic2014-11-27 15:372015-05-14 15:32
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025524: XmlTObjDrivers_ModelDriver::Paste will cause crash when saving model.
Descriptionvoid XmlTObjDrivers_ModelDriver::Paste
                         (const Handle(TDF_Attribute)& Source,
                          XmlObjMgt_Persistent& Target,
                          XmlObjMgt_SRelocationTable& /*RelocTable*/) const
{
  Handle(TObj_TModel) aTModel =
    Handle(TObj_TModel)::DownCast( Source );
  Handle(TObj_Model) aModel = aTModel->Model();

  // Store model GUID.
  Standard_PCharacter aPGuidString = new Standard_Character[256];
  aModel->GetGUID().ToCString( aPGuidString );
  XmlObjMgt::SetExtendedString (Target, *aPGuidString); //VICO: the aster should be removed e.g. XmlObjMgt::SetExtendedString (Target, aPGuidString);
  delete []aPGuidString;
}
Steps To ReproduceFixed in CR25524.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0038002)
szy (administrator)
2015-03-02 15:57

Could you provide a testing script or steps to reproduce the problem.
Thanks.
(0038010)
Vico Liang (developer)
2015-03-02 16:26

Hi szy,

This bug is will occur if try to save or open a model file. I have provided fix in the comment.
(0038126)
git (administrator)
2015-03-05 11:15

Branch CR25524 has been created by szy.

SHA-1: 774618f7a02aa389b5ddbb7205c2a36713f576f6


Detailed log of new commits:

Author: szy
Date: Thu Mar 5 11:15:30 2015 +0300

    Fixed.
(0038127)
szy (administrator)
2015-03-05 11:17

Can be tested.
(0038187)
git (administrator)
2015-03-06 15:56

Branch CR25524 has been updated forcibly by mkv.

SHA-1: a18f297f3e3760e298ee57b65b9336f334c70892
(0038259)
mkv (tester)
2015-03-11 14:30

Dear BugMaster,
Branch CR25524 was rebased on current master of occt git-repository.
(0038260)
mkv (tester)
2015-03-11 14:30

Dear BugMaster,
Branch CR25524 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: a18f297f3e3760e298ee57b65b9336f334c70892

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 4 (4 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92052208 / 92035271
Total CPU difference: 59165.610000000146 / 58057.23999999997
products component :
Total MEMORY difference: 23066255 / 22969003
Total CPU difference: 15904.209999999975 / 14774.049999999997

Testing on Windows:
occt component :
Total MEMORY difference: 57848629 / 57848304
Total CPU difference: 51201.140625 / 29462.859375
products component :
Total MEMORY difference: 15045297 / 15050260
Total CPU difference: 16231.890625 / 9064.265625

There are no differences in images found by testdiff.
(0038516)
git (administrator)
2015-03-18 13:33

Branch CR25524 has been deleted by inv.

SHA-1: a18f297f3e3760e298ee57b65b9336f334c70892

- Related Changesets
occt: master 09599901
Timestamp: 2015-03-05 08:15:30
Author: szy
Committer: bugmaster
Details ] Diff ]
0025524: XmlTObjDrivers_ModelDriver::Paste will cause crash when saving model.
mod - src/XmlTObjDrivers/XmlTObjDrivers_ModelDriver.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-27 15:37 Vico Liang New Issue
2014-11-27 15:37 Vico Liang Assigned To => szy
2015-03-02 15:57 szy Note Added: 0038002
2015-03-02 15:57 szy Assigned To szy => Vico Liang
2015-03-02 15:57 szy Status new => feedback
2015-03-02 16:26 Vico Liang Note Added: 0038010
2015-03-02 16:26 Vico Liang Assigned To Vico Liang => szy
2015-03-02 16:26 Vico Liang Status feedback => assigned
2015-03-05 11:14 szy Status assigned => resolved
2015-03-05 11:14 szy Steps to Reproduce Updated View Revisions
2015-03-05 11:15 git Note Added: 0038126
2015-03-05 11:17 szy Note Added: 0038127
2015-03-05 11:17 szy Assigned To szy => mkv
2015-03-05 11:17 szy Status resolved => reviewed
2015-03-06 15:56 git Note Added: 0038187
2015-03-11 14:30 mkv Note Added: 0038259
2015-03-11 14:30 mkv Note Added: 0038260
2015-03-11 14:30 mkv Assigned To mkv => bugmaster
2015-03-11 14:30 mkv Status reviewed => tested
2015-03-11 14:30 mkv Test case number => Not needed
2015-03-13 16:52 bugmaster Changeset attached => occt master 09599901
2015-03-13 16:52 bugmaster Status tested => verified
2015-03-13 16:52 bugmaster Resolution open => fixed
2015-03-14 06:53 abv Target Version 7.0.0 => 6.9.0
2015-03-18 13:33 git Note Added: 0038516
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker